package main

type Priority struct {
	Surfers []Surfer `json:"surfers"`
	Round   Round    `json:"round"`
	Count   int      `json:"surfersCount"`
}

type Surfer struct {
	Id         string `json:"id"`
	Name       string `json:"name"`
	Color      string `json:"color"`
	Priority   string `json:"priority"`
	Scores     []int  `json:"scores"`
	TotalScore int    `json:"totalScore"`
}

type Round struct {
	Name     string `json:"name"`
	Heat     int    `json:"heat"`
	Category string `json:"category"`
	Time     int    `json:"time"`
}

func initPriority() interface{} {
	return Priority{
		Surfers: []Surfer{
			{
				Name:     "",
				Color:    "lightgray",
				Priority: "",
			},
		},
		Round: Round{
			Name:     "",
			Heat:     1,
			Category: "",
		},
		Count: 1,
	}
}
